Skip to main content
PUT
Error

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

mcp_integration_id
string<uuid>
required
workspace_id
string<uuid>
required

Body

application/json

Request model for updating an MCP integration.

name
string | null
Required string length: 3 - 255
description
string | null
Maximum string length: 512
server_type
enum<string> | null

MCP server type. Changing this clears fields from the previous type.

Available options:
http,
stdio
server_uri
string | null
auth_type
enum<string> | null

Authentication type for MCP integrations.

Available options:
OAUTH2,
CUSTOM,
NONE
oauth_integration_id
string<uuid> | null
custom_credentials
string<password> | null

Custom credentials as JSON headers. Required for custom auth type; optional additional headers for OAuth2 auth type.

stdio_command
string | null

Stdio command to run for stdio-type servers (e.g., 'npx')

Maximum string length: 500
stdio_args
string[] | null

Arguments for the stdio command

stdio_env
Stdio Env · object | null

Environment variables for stdio-type servers

timeout
integer | null

Timeout in seconds

Required range: 1 <= x <= 300

Response

Successful Response

Response model for MCP integration.

id
string<uuid4>
required
workspace_id
string<uuid>
required
name
string
required
description
string | null
required
slug
string
required
server_type
enum<string>
required
Available options:
http,
stdio
server_uri
string | null
required
auth_type
enum<string>
required

Authentication type for MCP integrations.

Available options:
OAUTH2,
CUSTOM,
NONE
oauth_integration_id
string<uuid4> | null
required
state
enum<string>
required
Available options:
not_configured,
configured,
connected,
reauth_required,
error
stdio_command
string | null
required
stdio_args
string[] | null
required
timeout
integer | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
has_stdio_env
boolean
default:false
tools
MCPToolSummary · object[] | null